Modify

Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#18623 closed defect (fixed)

Asus RT-N18U broken netwok

Reported by: Grrruk Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: base system Version: Trunk
Keywords: RT-N18U Cc:

Description (last modified by rmilecki)

From the very beginning of N18U support its network behaved randomly: sometimes it just worked, sometimes did not. I was unable to find out how it happened -- sometimes it happened after hard reset, sometimes after reboot command, sometimes it worked ok several times in row, sometimes it did not work across several reboots.

Then boot process was broken and only recently was fixed (ticket #18577). Now network does not work at all. Everything looks ok, but no packets get through, both ways, tcpdump on other side shows no packets. The same happens in failsafe mode. But if I ping router from computer, swconfig shows RxOctets steadily increasing. This happens in both normal and failsafe mode. Computer:

dragon pts/18%ping 192.168.1.1
PING 192.168.1.1 (192.168.1.1) 56(84) bytes of data.
From 192.168.1.2 icmp_seq=1 Destination Host Unreachable
From 192.168.1.2 icmp_seq=2 Destination Host Unreachable
From 192.168.1.2 icmp_seq=3 Destination Host Unreachable
From 192.168.1.2 icmp_seq=4 Destination Host Unreachable
From 192.168.1.2 icmp_seq=5 Destination Host Unreachable
From 192.168.1.2 icmp_seq=6 Destination Host Unreachable
From 192.168.1.2 icmp_seq=7 Destination Host Unreachable
From 192.168.1.2 icmp_seq=8 Destination Host Unreachable
From 192.168.1.2 icmp_seq=9 Destination Host Unreachable

...

Router in failsafe mode, cable connected to port 3:

root@(none):/#  swconfig dev switch0 show | grep "RxOctets\|TxOctets\|Port"
Port 0:
        mib: TxOctets            : 0
RxOctets            : 0
Port 1:
        mib: TxOctets            : 0
RxOctets            : 0
Port 2:
        mib: TxOctets            : 0
RxOctets            : 0
Port 3:
        mib: TxOctets            : 1047
RxOctets            : 1280
Port 4:
        mib: TxOctets            : 0
RxOctets            : 0
Port 5:
        mib: TxOctets            : 1280
RxOctets            : 1111

... here I waited a little ...

root@(none):/#  swconfig dev switch0 show | grep "RxOctets\|TxOctets\|Port"
Port 0:
        mib: TxOctets            : 0
RxOctets            : 0
Port 1:
        mib: TxOctets            : 0
RxOctets            : 0
Port 2:
        mib: TxOctets            : 0
RxOctets            : 0
Port 3:
        mib: TxOctets            : 1047
RxOctets            : 2432
Port 4:
        mib: TxOctets            : 0
RxOctets            : 0
Port 5:
        mib: TxOctets            : 2432
RxOctets            : 1111

Thus RxOctets increase when I ping router and stand still if I stop pinging. But that's all...

Attachments (1)

boot-and-network.log (31.1 KB) - added by Grrruk 3 years ago.
Boot log from serial console, cat /etc/config/network, ifconfig -a and swconfig show

Download all attachments as: .zip

Change History (16)

Changed 3 years ago by Grrruk

Boot log from serial console, cat /etc/config/network, ifconfig -a and swconfig show

comment:1 follow-up: Changed 3 years ago by rmilecki

Can you try r43749 or newer?

comment:2 in reply to: ↑ 1 Changed 3 years ago by Grrruk

Replying to rmilecki:

Can you try r43749 or newer?

Just compiled r43759 and nothing changed. No arp:

root@OpenWrt:/# arp
IP address HW type Flags HW address Mask Device
192.168.1.2 0x1 0x0 00:00:00:00:00:00 * br-lan

dragon pts/18%arp -an|grep 192.168.1.1
? (192.168.1.1) at <incomplete> on p2p1

no pings, nothing. But RxOctets still increase while I ping router from computer. Yet mac addresses don't appear in arp tables. The cable is okay, I use it to upload firmware. Computer's network card is okay too.

comment:3 Changed 3 years ago by Grrruk

Hmm, now it works as of r43762, but I need to test it for a while, because bug happened at random.

comment:4 Changed 3 years ago by Grrruk

A few reboots it worked ok (i tried both powering down, pressing reset button and running reboot command) but now it does not work again. Everything is the same: no arp and RxOctets increasing if I ping from computer. The bug is still there with its randomness :(

comment:5 Changed 3 years ago by anonymous

The bug is still there at r43965, even in failsafe mode...

comment:6 Changed 3 years ago by rmilecki

Today I was testing my Buffalo WZR-600DHP2 a bit, which is based on BCM47081A0 just like the Asus from the bug report:
https://wikidevi.com/wiki/ASUS_RT-N18U
https://wikidevi.com/wiki/Buffalo_WZR-600DHP2

I was able to reproduce some minor network problem. Sometimes (randomly) I can't communicate (ping) the router for the first 10-30 seconds after OpenWrt starts the interfaces.

After network starts working it's stable. I can ping routers for dozens of minutes and performance looks solid too:
[ 3] 0.0-600.0 sec 22.9 GBytes 329 Mbits/sec

I added some debugging messages to the bgmac: it seems to be receiving packets and it seems it tries to transmit responses (and hardware confirms that packets were consumed by a proper IRQ):

[   21.912021] bgmac: [bgmac_interrupt] int_status:0x00010000 (BGMAC_IS_RX)
[   21.918717] bgmac: [bgmac_poll] int_status:0x00010000 (BGMAC_IS_RX)
[   21.924954] bgmac: [bgmac_dma_rx_read] ring->start:3
[   22.308656] bgmac: [bgmac_dma_tx_add] ring->start:29
[   22.313627] bgmac: [bgmac_interrupt] int_status:0x01000000 (BGMAC_IS_TX0)
[   22.320431] bgmac: [bgmac_poll] int_status:0x01000000 (BGMAC_IS_TX0)

However wireshark running on my PC doesn't see any packets coming from the router.

comment:7 Changed 3 years ago by rmilecki

  • Description modified (diff)

comment:8 Changed 3 years ago by hauke

@rmilecki so you confirm that you received the packages, so something with TX is wrong?

Some other guy reported in an email that he fixed a similar problem on his ASUS RT-N18U, by calling napi_schedule(&bgmac->napi); in the init process, that would more sound like an rx problem.

comment:9 Changed 3 years ago by rmilecki

I didn't dump there packets on router side, all I know is that OpenWrt tries to respond to them. I may try dumping them as well to see if they are valid ping/pong-s, but I'm away for the whole further week.

comment:10 Changed 3 years ago by rmilecki

There were 2 changes that could change something: r44367 and r44411

Could you try current trunk, please?

comment:11 Changed 3 years ago by asususer

I tried trunk today and unfortunately still I can't establish Ethernet connection. Furthermore OpenWRT doesn't detect any USB device (i tried with USB Flash Memory and USB Bluetooth Dongle).

Here is an output on booting:

Decompressing...done
Detect CPU turbo button...

CFE version 6.37.14.73 (r448163) based on BBP 1.0.37 for BCM947XX (32bit,SP,)
Build Date: ä¸  3æ  3 18:58:56 CST 2014 (raymonddev@raymonddev-vm1210)
Copyright (C) 2000-2008 Broadcom Corporation.

Init Arena
Init Devs.
Boot partition size = 262144(0x40000)
DDR Clock: 533 MHz
Info: DDR frequency set from clkfreq=800,*533*
et0: Broadcom BCM47XX 10/100/1000 Mbps Ethernet Controller 6.37.14.73 (r448163)
CPU type 0x0: 800MHz
Tot mem: 262144 KBytes

CFE mem:    0x00F00000 - 0x01795550 (9000272)
Data:       0x00F4DBB0 - 0x00F4E07C (1228)
BSS:        0x00F4E088 - 0x00F93550 (283848)
Heap:       0x00F93550 - 0x01793550 (8388608)
Stack:      0x01793550 - 0x01795550 (8192)
Text:       0x00F00000 - 0x00F44308 (279304)

Device eth0:  hwaddr 38-2C-4A-65-E4-98, ipaddr 192.168.1.1, mask 255.255.255.0
        gateway not set, nameserver not set
Null Rescue Flag.
boot the image...
go load
Loader:raw Filesys:tftp Dev:eth0 File:: Options:(null)
Loading: TFTP Server.
..tftp retry wait 0
Failed.
Could not load :: Timeout occured
Loader:raw Filesys:raw Dev:nflash0.os File: Options:(null)
Loading: .. 1461556 bytes read
Entry at 0x00008000
Closing network.
Starting program at 0x00008000
Uncompressing Linux... done, booting the kernel.
[    0.000000] Booting Linux on physical CPU 0x0
[    0.000000] Linux version 3.18.8 (root@ubuntu) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r44634) ) #1 SMP Tue Mar 10 02:46:45 PDT 2015
[    0.000000] CPU: ARMv7 Processor [413fc090] revision 0 (ARMv7), cr=10c5387d
[    0.000000] CPU: PIPT / VIPT nonaliasing data cache, VIPT aliasing instruction cache
[    0.000000] Machine model: Asus RT-N18U (BCM47081)
[    0.000000] bootconsole [earlycon0] enabled
[    0.000000] Memory policy: Data cache writealloc
[    0.000000] PERCPU: Embedded 9 pages/cpu @c6dde000 s5952 r8192 d22720 u36864
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 65280
[    0.000000] Kernel command line: console=ttyS0,115200 earlyprintk
[    0.000000] PID hash table entries: 512 (order: -1, 2048 bytes)
[    0.000000] Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
[    0.000000] Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Memory: 255472K/262144K available (3030K kernel code, 105K rwdata, 820K rodata, 172K init, 240K bss, 6672K reserved, 131072K highmem)
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
[    0.000000]     fixmap  : 0xffc00000 - 0xffe00000   (2048 kB)
[    0.000000]     vmalloc : 0xc8800000 - 0xff000000   ( 872 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xc8000000   ( 128 MB)
[    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)
[    0.000000]     modules : 0xbf000000 - 0xbfe00000   (  14 MB)
[    0.000000]       .text : 0xc0008000 - 0xc03cadc4   (3852 kB)
[    0.000000]       .init : 0xc03cb000 - 0xc03f6000   ( 172 kB)
[    0.000000]       .data : 0xc03f6000 - 0xc0410710   ( 106 kB)
[    0.000000]        .bss : 0xc0410710 - 0xc044c92c   ( 241 kB)
[    0.000000] Hierarchical RCU implementation.
[    0.000000]  RCU restricting CPUs from NR_CPUS=4 to nr_cpu_ids=1.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=1
[    0.000000] NR_IRQS:16 nr_irqs:16 16
[    0.000000] L2C: platform modifies aux control register: 0x0a130000 -> 0x7a130000
[    0.000000] L2C: platform provided aux values permit register corruption.
[    0.000000] L2C: DT/platform modifies aux control register: 0x0a130000 -> 0x7a130000
[    0.000000] L2C-310 enabling early BRESP for Cortex-A9
[    0.000000] L2C-310 full line of zeros enabled for Cortex-A9
[    0.000000] L2C-310 ID prefetch enabled, offset 1 lines
[    0.000000] L2C-310 dynamic clock gating enabled, standby mode enabled
[    0.000000] L2C-310 cache controller enabled, 16 ways, 256 kB
[    0.000000] L2C-310: CACHE_ID 0x410000c8, AUX_CTRL 0x7e130001
[    0.000015] sched_clock: 64 bits at 400MHz, resolution 2ns, wraps every 2748779069440ns
[    0.008519] Calibrating delay loop... 1594.16 BogoMIPS (lpj=7970816)
[    0.101303] pid_max: default: 32768 minimum: 301
[    0.106243] Mount-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.113109] Mountpoint-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.120900] CPU: Testing write buffer coherency: ok
[    0.126186] CPU0: thread -1, cpu 0, socket 0, mpidr 80000000
[    0.132149] Setting up static identity map for 0x11998 - 0x119cc
[    0.139258] Brought up 1 CPUs
[    0.142396] SMP: Total of 1 processors activated (1594.16 BogoMIPS).
[    0.149007] CPU: All CPU(s) started in SVC mode.
[    0.160744] NET: Registered protocol family 16
[    0.166013] DMA: preallocated 256 KiB pool for atomic coherent allocations
[    0.178957] usbcore: registered new interface driver usbfs
[    0.184734] usbcore: registered new interface driver hub
[    0.190356] usbcore: registered new device driver usb
[    0.196245] Bluetooth: Core ver 2.19
[    0.200088] NET: Registered protocol family 31
[    0.204731] Bluetooth: HCI device and connection manager initialized
[    0.211338] Bluetooth: HCI socket layer initialized
[    0.216408] Bluetooth: L2CAP socket layer initialized
[    0.221690] Bluetooth: SCO socket layer initialized
[    0.227486] Switched to clocksource arm_global_timer
[    0.233821] NET: Registered protocol family 2
[    0.239056] TCP established hash table entries: 1024 (order: 0, 4096 bytes)
[    0.246269] TCP bind hash table entries: 1024 (order: 1, 8192 bytes)
[    0.252903] TCP: Hash tables configured (established 1024 bind 1024)
[    0.259563] TCP: reno registered
[    0.262961] UDP hash table entries: 256 (order: 1, 8192 bytes)
[    0.269041] UDP-Lite hash table entries: 256 (order: 1, 8192 bytes)
[    0.275749] NET: Registered protocol family 1
[    0.281237] futex hash table entries: 256 (order: 2, 16384 bytes)
[    0.289065] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.295121] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.306046] msgmni has been set to 242
[    0.311405] bounce: pool size: 64 pages
[    0.315427] io scheduler noop registered
[    0.319602] io scheduler deadline registered (default)
[    0.325219] Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled
[    0.332405] console [ttyS0] disabled
[    0.336194] 18000300.serial: ttyS0 at MMIO 0x18000300 (irq = 117, base_baud = 6250000) is a 16550
[    0.345406] console [ttyS0] enabled
[    0.345406] console [ttyS0] enabled
[    0.352547] bootconsole [earlycon0] disabled
[    0.352547] bootconsole [earlycon0] disabled
[    0.361517] 18000400.serial: ttyS1 at MMIO 0x18000400 (irq = 117, base_baud = 6250000) is a 16550
[    0.371477] bgmac: Broadcom 47xx GBit MAC driver loaded
[    0.376842] bcma: bus0: Found chip with id 53010, rev 0x00 and package 0x02
[    0.383871] bcma: bus0: Core 0 found: ChipCommon (manuf 0x4BF, id 0x800, rev 0x2A, class 0x0)
[    0.392471] bcma: bus0: Core 1 found: Chipcommon B (manuf 0x4BF, id 0x50B, rev 0x01, class 0x0)
[    0.401229] bcma: bus0: Core 2 found: DMA (manuf 0x4BF, id 0x502, rev 0x01, class 0x0)
[    0.409177] bcma: bus0: Core 3 found: GBit MAC (manuf 0x4BF, id 0x82D, rev 0x05, class 0x0)
[    0.417543] bcma: bus0: Core 4 found: GBit MAC (manuf 0x4BF, id 0x82D, rev 0x05, class 0x0)
[    0.425928] bcma: bus0: Core 5 found: GBit MAC (manuf 0x4BF, id 0x82D, rev 0x05, class 0x0)
[    0.434311] bcma: bus0: Core 6 found: GBit MAC (manuf 0x4BF, id 0x82D, rev 0x05, class 0x0)
[    0.442664] bcma: bus0: Core 7 found: PCIe Gen 2 (manuf 0x4BF, id 0x501, rev 0x01, class 0x0)
[    0.451193] bcma: bus0: Core 8 found: PCIe Gen 2 (manuf 0x4BF, id 0x501, rev 0x01, class 0x0)
[    0.459730] bcma: bus0: Core 9 found: PCIe Gen 2 (manuf 0x4BF, id 0x501, rev 0x01, class 0x0)
[    0.468295] bcma: bus0: Core 10 found: ARM Cortex A9 core (ihost) (manuf 0x4BF, id 0x510, rev 0x01, class 0x0)
[    0.478316] bcma: bus0: Core 11 found: USB 2.0 (manuf 0x4BF, id 0x504, rev 0x01, class 0x0)
[    0.486694] bcma: bus0: Core 12 found: USB 3.0 (manuf 0x4BF, id 0x505, rev 0x01, class 0x0)
[    0.495090] bcma: bus0: Core 13 found: SDIO3 (manuf 0x4BF, id 0x503, rev 0x01, class 0x0)
[    0.503317] bcma: bus0: Core 14 found: ARM Cortex A9 JTAG (manuf 0x4BF, id 0x506, rev 0x01, class 0x0)
[    0.512665] bcma: bus0: Core 15 found: Denali DDR2/DDR3 memory controller (manuf 0x4BF, id 0x507, rev 0x01, class 0x0)
[    0.523393] bcma: bus0: Core 16 found: ROM (manuf 0x4BF, id 0x508, rev 0x01, class 0x0)
[    0.531433] bcma: bus0: Core 17 found: NAND flash controller (manuf 0x4BF, id 0x509, rev 0x01, class 0x0)
[    0.541056] bcma: bus0: Core 18 found: SPI flash controller (manuf 0x4BF, id 0x50A, rev 0x01, class 0x0)
[    0.558506] bcm_nand bcma0:17: NAND Controller rev 6.01
[    0.579107] nand: device found, Manufacturer ID: 0x01, Chip ID: 0xf1
[    0.585438] nand: AMD/Spansion NAND 128MiB 3,3V 8-bit
[    0.590515] nand: 128MiB, SLC, page size: 2048, OOB size: 64
[    1.719400] random: nonblocking pool is initialized
[    1.993472] 5 bcm47xxpart partitions found on MTD device bcm_nand
[    1.999547] Creating 5 MTD partitions on "bcm_nand":
[    2.004494] 0x000000000000-0x000000080000 : "boot"
[    2.010912] 0x000000080000-0x000000200000 : "nvram"
[    2.019578] 0x000000200000-0x000008000000 : "firmware"
[    2.264029] 0x00000020001c-0x000000380000 : "linux"
[    2.268914] mtd: partition "linux" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    2.285016] 0x000000380000-0x000008000000 : "ubi"
[    2.527142] bcm53xxspiflash spi32766.0: unrecognized JEDEC id bytes: ff, ff, ff
[    2.534483] bcm53xxspiflash: probe of spi32766.0 failed with error -2
[    2.550274] bgmac bcma0:3: Found PHY addr: 30 (NOREGS)
[    2.557171] bgmac bcma0:3: Support for Roboswitch not implemented
[    2.564065] libphy: bgmac mii bus: probed
[    2.569449] b53_common: found switch: BCM53011, rev 5
[    2.575144] bgmac bcma0:4: Invalid MAC addr: 00:00:00:00:00:00
[    2.581010] bgmac bcma0:4: Using random MAC: 56:a0:fe:23:e8:5e
[    2.586869] bgmac bcma0:4: Found PHY addr: 0
[    2.593086] bgmac bcma0:4: Support for Roboswitch not implemented
[    2.600294] libphy: bgmac mii bus: probed
[    2.605041] bgmac: Unsupported core_unit 2
[    2.609218] bgmac: probe of bcma0:5 failed with error -524
[    2.614772] bgmac: Unsupported core_unit 3
[    2.618893] bgmac: probe of bcma0:6 failed with error -524
[    2.624439] pci_host_bcm5301x bcma0:7: initializing PCIe controller
[    2.898382] pci_host_bcm5301x bcma0:7: link: UP
[    2.903042] pci_host_bcm5301x bcma0:7: PCI host bridge to bus 0000:00
[    2.909475] pci_bus 0000:00: root bus resource [mem 0x08000000-0x0fffffff]
[    2.916322] pci_bus 0000:00: root bus resource [io  0x0000]
[    2.921877] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    2.930039] PCI: bus0: Fast back to back transfers disabled
[    2.936009] PCI: bus1: Fast back to back transfers disabled
[    2.941712] pci 0000:00:00.0: BAR 8: assigned [mem 0x08000000-0x080fffff]
[    2.948492] pci 0000:01:00.0: BAR 0: assigned [mem 0x08000000-0x08007fff 64bit]
[    2.955782] pci 0000:00:00.0: PCI bridge to [bus 01]
[    2.960735] pci 0000:00:00.0:   bridge window [mem 0x08000000-0x080fffff]
[    2.967632] pci_host_bcm5301x bcma0:8: initializing PCIe controller
[    3.348376] pci_host_bcm5301x bcma0:8: link: DOWN
[    3.353247] pci_host_bcm5301x bcma0:9: initializing PCIe controller
[    3.738373] pci_host_bcm5301x bcma0:9: link: DOWN
[    3.744033] bcm47xx-wdt bcm47xx-wdt.0: BCM47xx Watchdog Timer enabled (30 seconds, Software Timer)
[    3.752994] bcma: bus0: Bus registered
[    3.756845] bcma-pci-bridge 0000:01:00.0: enabling device (0140 -> 0142)
[    3.763569] bcma: bus1: Found chip with id 0x4360, rev 0x03 and package 0x01
[    3.770619] bcma: bus1: Core 0 found: ChipCommon (manuf 0x4BF, id 0x800, rev 0x2B, class 0x0)
[    3.779125] bcma: bus1: Core 1 found: IEEE 802.11 (manuf 0x4BF, id 0x812, rev 0x2A, class 0x0)
[    3.787729] bcma: bus1: Core 2 found: ARM CR4 (manuf 0x4BF, id 0x83E, rev 0x02, class 0x0)
[    3.795982] bcma: bus1: Core 3 found: PCIe Gen2 (manuf 0x4BF, id 0x83C, rev 0x01, class 0x0)
[    3.804405] bcma: bus1: Core 4 found: USB 2.0 Device (manuf 0x4BF, id 0x81A, rev 0x11, class 0x0)
[    3.844729] bcma: bus1: Invalid SPROM read from the PCIe card, trying to use fallback SPROM
[    3.853414] Unsupported SPROM revision 11 detected. Will extract v1
[    3.862457] bcma: bus1: Bus registered
[    3.866531] TCP: cubic registered
[    3.869875] NET: Registered protocol family 17
[    3.874383] bridge: automatic filtering via arp/ip/ip6tables has been deprecated. Update your scripts to load br_netfilter if you need this.
[    3.886951] 8021q: 802.1Q VLAN Support v1.8
[    3.891210] Registering SWP/SWPB emulation handler
[    3.898353] UBI: auto-attach mtd4
[    3.901716] UBI: attaching mtd4 to ubi0
[    5.499704] UBI: scanning is finished
[    5.521022] UBI: attached mtd4 (name "ubi", size 124 MiB) to ubi0
[    5.527095] UBI: PEB size: 131072 bytes (128 KiB), LEB size: 126976 bytes
[    5.533903] UBI: min./max. I/O unit sizes: 2048/2048, sub-page size 2048
[    5.540583] UBI: VID header offset: 2048 (aligned 2048), data offset: 4096
[    5.547423] UBI: good PEBs: 996, bad PEBs: 0, corrupted PEBs: 0
[    5.553324] UBI: user volume: 2, internal volumes: 1, max. volumes count: 128
[    5.560447] UBI: max/mean erase counter: 2/0, WL threshold: 4096, image sequence number: 1039771670
[    5.569456] UBI: available PEBs: 0, total reserved PEBs: 996, PEBs reserved for bad PEB handling: 20
[    5.578628] UBI: background thread "ubi_bgt0d" started, PID 238
[    5.585782] UBI: ubiblock0_0 created from ubi0:0(rootfs)
[    5.591116] ubiblock: device ubiblock0_0 (rootfs) set to be root filesystem
[    5.604246] VFS: Mounted root (squashfs filesystem) readonly on device 254:0.
[    5.611633] Freeing unused kernel memory: 172K (c03cb000 - c03f6000)
[    5.892332] External imprecise Data abort at addr=0xb6fa8005, fsr=0x1c06 ignored.
[    6.268940] init: Console is alive
[    6.272562] init: - watchdog -
[    7.060012] SCSI subsystem initialized
[    7.066738] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    7.073938] ehci-platform: EHCI generic platform driver
[    7.080965] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    7.087926] ohci-platform: OHCI generic platform driver
[    7.099636] usbcore: registered new interface driver usb-storage
[    7.278618] init: - preinit -
Press the [f] key and hit [enter] to enter failsafe mode
Press the [1], [2], [3] or [4] key and hit [enter] to select the debug level
[    9.719241] mount_root: loading kmods from internal overlay
[    9.950741] UBIFS: background thread "ubifs_bgt0_1" started, PID 322
[   10.042973] UBIFS: recovery needed
[   10.212172] UBIFS: recovery completed
[   10.215923] UBIFS: mounted UBI device 0, volume 1, name "rootfs_data"
[   10.222363] UBIFS: LEB size: 126976 bytes (124 KiB), min./max. I/O unit sizes: 2048 bytes/2048 bytes
[   10.231466] UBIFS: FS size: 117833728 bytes (112 MiB, 928 LEBs), journal size 5840896 bytes (5 MiB, 46 LEBs)
[   10.241248] UBIFS: reserved for root: 4952683 bytes (4836 KiB)
[   10.247053] UBIFS: media format: w4/r0 (latest is w4/r0), UUID C99FBA28-9E7C-41A8-A4FE-83D4C284C13C, small LPT model
[   10.260013] block: attempting to load /tmp/ubifs_cfg/upper/etc/config/fstab
[   10.278652] block: extroot: not configured
[   10.282975] UBIFS: un-mount UBI device 0, volume 1
[   10.287759] UBIFS: background thread "ubifs_bgt0_1" stops
[   10.298096] UBIFS: background thread "ubifs_bgt0_1" started, PID 325
[   10.497572] UBIFS: mounted UBI device 0, volume 1, name "rootfs_data"
[   10.504023] UBIFS: LEB size: 126976 bytes (124 KiB), min./max. I/O unit sizes: 2048 bytes/2048 bytes
[   10.513121] UBIFS: FS size: 117833728 bytes (112 MiB, 928 LEBs), journal size 5840896 bytes (5 MiB, 46 LEBs)
[   10.522903] UBIFS: reserved for root: 4952683 bytes (4836 KiB)
[   10.528715] UBIFS: media format: w4/r0 (latest is w4/r0), UUID C99FBA28-9E7C-41A8-A4FE-83D4C284C13C, small LPT model
[   10.670283] block: attempting to load /tmp/ubifs_cfg/upper/etc/config/fstab
[   10.686401] block: extroot: not configured
[   10.691169] mount_root: switching to jffs2 overlay
[   10.714168] procd: - early -
[   10.717154] procd: - watchdog -
[   11.398712] procd: - ubus -
[   12.419344] procd: - init -
Please press Enter to activate this console.
[   16.908811] NET: Registered protocol family 10
[   16.917403] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   16.934203] hidraw: raw HID events driver (C) Jiri Kosina
[   16.942180] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   16.947481] Bluetooth: BNEP filters: protocol multicast
[   16.952762] Bluetooth: BNEP socket layer initialized
[   16.959993] usbcore: registered new interface driver btusb
[   16.966019] Loading modules backported from Linux version master-2014-11-04-0-gf3660a2
[   16.973969] Backport generated by backports.git backports-20141023-2-g4ff890b
[   16.983492] Bluetooth: HCI UART driver ver 2.2
[   16.987926] Bluetooth: HCI H4 protocol initialized
[   16.992769] Bluetooth: HCI BCSP protocol initialized
[   16.998958] Bluetooth: HIDP (Human Interface Emulation) ver 1.2
[   17.004884] Bluetooth: HIDP socket layer initialized
[   17.010972] ip_tables: (C) 2000-2006 Netfilter Core Team
[   17.021641] nf_conntrack version 0.5.0 (3994 buckets, 15976 max)
[   17.041692] Bluetooth: RFCOMM TTY layer initialized
[   17.046594] Bluetooth: RFCOMM socket layer initialized
[   17.051825] Bluetooth: RFCOMM ver 1.11
[   17.068308] xt_time: kernel timezone is -0000
[   17.080516] cfg80211: Calling CRDA to update world regulatory domain
[   17.096314] cfg80211: World regulatory domain updated:
[   17.101522] cfg80211:  DFS Master region: unset
[   17.105862] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[   17.115580] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[   17.123556] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[   17.131531] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[   17.139502] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[   17.147466] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (0 s)
[   17.156906] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[   17.164965] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[   17.172940] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[   17.208798] PPP generic driver version 2.4.2
[   17.214643] NET: Registered protocol family 24
[   17.226829] b43-phy0: Broadcom 4360 WLAN found (core revision 42)
[   17.248425] b43-phy0 ERROR: FOUND UNSUPPORTED PHY (Analog 12, Type 11 (AC), Revision 1)
[   17.256425] b43: probe of bcma1:1 failed with error -95
[   17.261835] Broadcom 43xx driver loaded [ Features: PNL ]
[   17.272114] usbcore: registered new interface driver brcmfmac
[   21.331976] device eth0.1 entered promiscuous mode
[   21.336758] device eth0 entered promiscuous mode
[   21.344419] br-lan: port 1(eth0.1) entered forwarding state
[   21.350051] br-lan: port 1(eth0.1) entered forwarding state
[   23.348375] br-lan: port 1(eth0.1) entered forwarding state

BusyBox v1.22.1 (2015-03-10 02:27:22 PDT) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 CHAOS CALMER (Bleeding Edge, r44634)
 -----------------------------------------------------

comment:12 Changed 3 years ago by rmilecki

Another try. It may be fixed since r45402. Can you try recent trunk?

comment:13 Changed 3 years ago by rmilecki

I got a confirmation from forum user jkresa that is works now! :)
https://forum.openwrt.org/viewtopic.php?pid=273733#p273733

comment:14 Changed 3 years ago by rmilecki

  • Resolution set to fixed
  • Status changed from new to closed

comment:15 Changed 3 years ago by Grrruk

Yes, it seems to work right now -- during 10-20 reboots across two weeks it did not happen anymore. Can't be 100% sure though, a few months ago I thought it gone and later found that it did not, but for now it seems to be fixed.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.